import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GeneralToMicroplexSpeed Converter")

class GeneralToMicroplexSpeed(Converter):
    def Execute(self, args):
        if args == None or args[0] == None:
            return

        value = int(float(args[0]) / 2.54)
        return value




plugin = GeneralToMicroplexSpeed("GeneralToMicroplexSpeed")

store.AddConverter(plugin)